Package edu.wisc.game.parser

## Class Expression.VarMap2

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​HashSet<T>>
    - - edu.wisc.game.parser.Expression.MapTo<Object>
      - - edu.wisc.game.parser.Expression.VarMap2

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​HashSet<Object>>`
  Direct Known Subclasses:
    `EpisodeMemory.BucketVarMap2`
  Enclosing interface:
    Expression

      public static class Expression.VarMap2
      extends Expression.MapTo<Object>

  Objects in question may be Integer, String, or PropMap (ImageObject or equivalent)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VarMap2()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addValue​(String key, Object val)` | Adds a value to the list of values associated with a specified key

    - ### Methods inherited from class edu.wisc.game.parser.Expression.MapTo

      `pu, pu, putSet, toString`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### VarMap2

          public VarMap2()

  - ### Method Detail

    - #### addValue

          public boolean addValue​(String key,
                                  Object val)

      Description copied from class: `Expression.MapTo`
      Adds a value to the list of values associated with a specified key
      Overrides:
        `addValue` in class `Expression.MapTo<Object>`